local t = Def.ActorFrame{
	Def.ActorFrame{
		LoadActor("difficulty_num p1")..{
		BeginCommand=cmd(visible,GAMESTATE:IsHumanPlayer(PLAYER_1));
			InitCommand=function(self)
				self:y(SCREEN_CENTER_Y+159);
				if IsNetSMOnline() or IsNetConnected() then
					self:x((SCREEN_CENTER_X*0.575)-73+4);
				else
					self:x((SCREEN_CENTER_X*0.575)-68);
				end;
			end;
			OnCommand=cmd(addy,8/2;diffusealpha,0;sleep,0.1;linear,0.2;addy,-8/2;diffusealpha,1;);
			OffCommand=cmd(stoptweening;);
		};
	};
	
	Def.ActorFrame{
		LoadActor("difficulty_num p2")..{
		BeginCommand=cmd(visible,GAMESTATE:IsHumanPlayer(PLAYER_2));
			InitCommand=function(self)
				self:y(SCREEN_CENTER_Y+159);
				if IsNetSMOnline() or IsNetConnected() then
					self:x((SCREEN_CENTER_X*0.575)-73+4);
				else
					self:x((SCREEN_CENTER_X*1.425)+31);
				end;
			end;
			OnCommand=cmd(addy,8/2;diffusealpha,0;sleep,0.1;linear,0.2;addy,-8/2;diffusealpha,1;);
			OffCommand=cmd(stoptweening;);
		};
	};
};

return t;